<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:a4j="http://richfaces.org/a4j"
                template="/layout/template.xhtml">

    <ui:define name="body">
        <ui:decorate template="/pdq/supplierConfiguration.xhtml">
            <ui:param name="managedBean" value="#{xcpdInitGatewayConfManager}"/>
            <ui:param name="title"
                      value="#{messages['net.ihe.gazelle.patientmanager.XCPDInitiatingGateway']}"/>
            <ui:param name="imagePath" value="diag/XCPD_INIT.png"/>
            <ui:param name="displayDomains" value="false"/>
            <ui:define name="parameters">
                <dl>
                    <s:decorate id="charsetDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['gazelle.HL7Common.Endpoint']}</ui:define>
                        <h:outputText
                                value="#{xcpdInitGatewayConfManager.endpointUrl}"/>
                    </s:decorate>
                    <s:decorate id="ipDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverDeviceidRootOID']}</ui:define>
                        <h:outputText
                                value="#{xcpdInitGatewayConfManager.deviceId}"/>
                    </s:decorate>
                    <s:decorate id="portDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.pam.ReceiverOrganizationOID']}</ui:define>
                        <h:outputText
                                value="#{xcpdInitGatewayConfManager.organizationOid}"/>
                    </s:decorate>
                    <s:decorate id="homeComDecoration" template="/layout/display/_data_list_item.xhtml">
                        <ui:define name="label">#{messages['net.ihe.gazelle.patientmanager.HomeCommunityID']}</ui:define>
                        <h:outputText
                                value="#{xcpdInitGatewayConfManager.homeCommunityId}"/>
                    </s:decorate>
                </dl>
            </ui:define>
            <ui:define name="more">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['net.ihe.gazelle.patientmanager.SentDeferredQueries']}</ui:define>
                    <ui:decorate template="/hl7v3/xcpd/deferredTemplate.xhtml"/>
                </ui:decorate>
            </ui:define>
        </ui:decorate>
    </ui:define>
</ui:composition>